Bug 191088 - devel/subversion broken makefile in freebsd 9.2
Summary: devel/subversion broken makefile in freebsd 9.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Some People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-16 17:13 UTC by Vick Khera
Modified: 2018-03-02 16:51 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vick Khera 2014-06-16 17:13:20 UTC
the revised subversion port totally fails to be buildable in FreeBSD 9.2. It
works fine in 10.0. Tested on two separate systems and copies of ports tree.

How-To-Repeat:
[root@yertle]# uname -a
FreeBSD yertle.int.kcilink.com 9.2-RELEASE-p2 FreeBSD 9.2-RELEASE-p2 #3 r260368:260392: Tue Jan  7 08:20:09 EST 2014     khera@yertle.int.kcilink.com:/usr/obj/u/yertle1/sources/usr9/src/sys/KCI64  amd64
[root@yertle]# cd /usr/ports/devel/subversion
[root@yertle]# make showconfig
"Makefile.common", line 71: Malformed conditional ((${PORT_OPTIONS:MFREEBSD_TEMPLATE} || !${OPTIONS_FILE_UNSET:MFREEBSD_TEMPLATE}) && defined(ORGANIZATION))
"Makefile.common", line 73: if-less endif
"Makefile.common", line 101: Malformed conditional ((${PORT_OPTIONS:MFREEBSD_TEMPLATE} || !${OPTIONS_FILE_UNSET:MFREEBSD_TEMPLATE}) && defined(ORGANIZATION))
"Makefile.common", line 103: if-less endif
make: fatal errors encountered -- cannot continue
[root@yertle]# make config
"Makefile.common", line 71: Malformed conditional ((${PORT_OPTIONS:MFREEBSD_TEMPLATE} || !${OPTIONS_FILE_UNSET:MFREEBSD_TEMPLATE}) && defined(ORGANIZATION))
"Makefile.common", line 73: if-less endif
"Makefile.common", line 101: Malformed conditional ((${PORT_OPTIONS:MFREEBSD_TEMPLATE} || !${OPTIONS_FILE_UNSET:MFREEBSD_TEMPLATE}) && defined(ORGANIZATION))
"Makefile.common", line 103: if-less endif
make: fatal errors encountered -- cannot continue

Fix:
unknown.
Comment 1 Raphael Kubo da Costa freebsd_committer 2014-06-17 22:01:23 UTC
Fixed in http://svnweb.freebsd.org/ports?view=revision&revision=358032
Comment 2 commit-hook freebsd_committer 2018-03-02 16:51:14 UTC
A commit references this bug:

Author: zi
Date: Fri Mar  2 16:50:47 UTC 2018
New revision: 463417
URL: https://svnweb.freebsd.org/changeset/ports/463417

Log:
  - Update to 4.4.1 [1]
  - Convert to new OPTIONS framework
  - Add OPTION for enabling binary lease file support

  PR:		191088 [1]
  Submitted by:	Chip Cuccio <chip.cuccio@gmail.com> [1]

Changes:
  head/net/isc-dhcp44-server/Makefile
  head/net/isc-dhcp44-server/distinfo
  head/net/isc-dhcp44-server/files/isc-dhcpd.in